rem @echo off

set COCO_DIR=src\coco\fuzzyparser
set COCO_FILE=FuzzyCoCoParser.j

@echo ----- Generating annotated parser spec...
call jjtree -MULTI:true -VISITOR:false -NODE_PACKAGE:"coco.fuzzyparser" -OUTPUT_DIRECTORY:%COCO_DIR% %COCO_DIR%\FuzzyCoCoParser.j


@echo ----- Genrating parser...
call javacc -STATIC:"true" -OUTPUT_DIRECTORY:%COCO_DIR% %COCO_DIR%\FuzzyCoCoParser.jj


@echo ----- Generating grammar doc...
rem call jjdoc -ONE_TABLE:"false" -OUTPUT_DIRECTORY:%COCO_DIR% %COCO_DIR%\%COCO_FILE%

@echo ----- compile parser
rem javac -classpath src -d classes src\coco\fuzzyparser\*.java

@echo Parser generated.
pause



