package coco.filehandling;

/**
 * berschrift:   PECOS Composition Environment
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:  FZI
 * @author T. Genssler, A. Christoph
 * @version 1.0
 */

public class CoCoFileFilter extends BaseFileFilter {

  public CoCoFileFilter() {
    super();
    addExtension("cm");
    addExtension("acm");
    addExtension("type");
    addExtension("prop");
  }

  public CoCoFileFilter(String s) {
    super ();
    if (s == null) {
      addExtension("cm");
      addExtension("acm");
      addExtension("type");
      addExtension("prop");
    } else {
      addExtension(s);
    }
  }
}