package coco.gui;


//import com.borland.jbcl.layout.*;
import java.awt.*;
import javax.swing.*;

import coco.project.CoCoProject;
import coco.utils.*;

/**
 * berschrift:   PECOS Composition Environment
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:  FZI
 * @author
 * @version 1.0
 */

public class ProjectSettingsDialog extends JDialog {
  private CoCoProject currentProject = null;


//  PaneLayout paneLayout1 = new PaneLayout();
  JTabbedPane jTabbedPane1 = new JTabbedPane();
  JPanel jPanelGeneral = new JPanel();
  JPanel jPanelEntities = new JPanel();
  JPanel jPanelRules = new JPanel();
  JPanel jPanelCodeGeneration = new JPanel();
//  XYLayout xYLayout1 = new XYLayout();
  JLabel jLabel1 = new JLabel();
  JTextField jTextFieldProjectName = new JTextField();
  JLabel jLabel2 = new JLabel();
  JTextField jTextFieldProjectFileName = new JTextField();
  JButton jButtonChooseProjectFile = new JButton();
  JTextField jTextFieldProjectStore = new JTextField();
  JButton jButtonChooseProjectFileStore = new JButton();
  JLabel jLabel3 = new JLabel();
  JList jListEntities = new JList();
  BorderLayout borderLayout1 = new BorderLayout();
  BorderLayout borderLayout2 = new BorderLayout();
  JList jListRules = new JList();
  JLabel jLabel4 = new JLabel();
  JLabel jLabel5 = new JLabel();

  public ProjectSettingsDialog(CoCoProject project){
    Assert.require(project);

    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
//    this.getContentPane().setLayout(paneLayout1);
//    jPanelGeneral.setLayout(xYLayout1);
    jLabel1.setText("Project name:");
    jLabel2.setText("Project File:");
    jButtonChooseProjectFile.setText("...");
    jButtonChooseProjectFileStore.setText("...");
    jLabel3.setText("Project Store:");
    jPanelEntities.setLayout(borderLayout1);
    jPanelRules.setLayout(borderLayout2);
    jLabel4.setText("Rule files of this project:");
    jLabel5.setText("Entity files of this project:");
    jListEntities.setToolTipText("Use the context menu to add/remove files...");
    jListRules.setToolTipText("Use the context menu to add/remove files...");
    this.setTitle("Project settings");
//    this.getContentPane().add(jTabbedPane1, new PaneConstraints("jTabbedPane1", "jTabbedPane1", PaneConstraints.ROOT, 1.0f));
    jTabbedPane1.add(jPanelGeneral, "General");
/*    jPanelGeneral.add(jLabel1, new XYConstraints(12, 31, -1, -1));
    jPanelGeneral.add(jTextFieldProjectName, new XYConstraints(96, 27, 257, 29));
    jPanelGeneral.add(jTextFieldProjectFileName, new XYConstraints(96, 63, 257, 29));
    jPanelGeneral.add(jLabel2, new XYConstraints(14, 70, 78, 18));
    jPanelGeneral.add(jButtonChooseProjectFile, new XYConstraints(355, 62, 33, 31));
    jPanelGeneral.add(jTextFieldProjectStore, new XYConstraints(96, 99, 257, 29));
    jPanelGeneral.add(jButtonChooseProjectFileStore, new XYConstraints(355, 98, 33, 31));
    jPanelGeneral.add(jLabel3, new XYConstraints(13, 105, 78, 18));
  */  jTabbedPane1.add(jPanelEntities, "Entities");
    jPanelEntities.add(jListEntities, BorderLayout.CENTER);
    jPanelEntities.add(jLabel5, BorderLayout.NORTH);
    jTabbedPane1.add(jPanelRules, "Rules");
    jPanelRules.add(jListRules, BorderLayout.CENTER);
    jPanelRules.add(jLabel4, BorderLayout.NORTH);
    jTabbedPane1.add(jPanelCodeGeneration, "Code generation");


    populateDialog();
  }

  private void populateDialog(){
    Assert.require(currentProject);
    this.jTextFieldProjectName.setText(currentProject.getProjectName());
  }
}
