package coco.model.nodes;
import javax.swing.ImageIcon;
/**
 * Title:        PECOS Composition Environment 2
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      FZI
 * @author:      M. Winter
 * @version 1.0
 */

public class ErrorTreeNode extends CoCoTreeNode {
  static ImageIcon icon = null;
  private String description = "not specified";
  public ErrorTreeNode() {
      if(icon == null){
        icon = new ImageIcon(ErrorTreeNode.class.getResource("Error.gif"));
      }
  }

  /**
   * Returns the icon which is to be shown for the respective node type.
   * @return the icon ressource. when null, the standard icon, according to the current L&F will be shown
   */
  public ImageIcon getIcon(){
    return icon;
  }
  public ErrorTreeNode(java.lang.String name) {
   super(name);
      if(icon == null){
        icon = new ImageIcon(ErrorTreeNode.class.getResource("Error.gif"));
      }
  }

  public void setDescription(String txt){
    description = txt;
  }

  public String getDescription(){
    return description;
  }
}