package coco.parser.ast;
import coco.utils.*;

/**
 * berschrift:
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:
 * @author
 * @version 1.0
 */

public class ASTBoolLiteral extends GenericNode implements ASTLiteral{

  private String value;
  public ASTBoolLiteral(String v) {
    Assert.require(v);
    setValue(v);
  }
  public String getValue() {
    return value;
  }
  public void setValue(String s){
    value = s;
  }

  public String toString(){
    return value.toString();
  }

  public Object accept(AbstractASTVisitor v, Object data) {
    if(v.preVisit()){
      v.visitPre(this);
    }

    if(v.postVisit()){
      v.visitPost(this);
    }
    return null;
  }

}