package coco.parser.ast;

import coco.utils.*;

/**
 * berschrift:   PECOS Composition Environment
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:  FZI
 * @author
 * @version 1.0
 */

public class ASTComment extends GenericNode {
  private String comment = null;
  private boolean multiLine = false;
  public ASTComment(String txt, boolean multi) {
    Assert.require(txt);
    comment = txt;
  }

  public boolean isMultiLineComment(){
    return multiLine;
  }

  public String getComment(){
    return toString();
  }

  public String toString(){
   Assert.require(comment);
   return comment;
  }


  public Object accept(AbstractASTVisitor v, Object data) {

    return null;
  }
}