package coco.parser.ast;
import java.util.Vector;
import java.util.Enumeration;
import coco.utils.*;
/**
 * berschrift:   PECOS Composition Environment
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:  FZI
 * @author
 * @version 1.0
 */

public class ASTComments{
  private Vector comments = null;
  public ASTComments() {
    comments = new Vector(3);
  }

  public void add(ASTComments c){
   Assert.require(c);
   Enumeration enum = c.comments.elements();
   while(enum.hasMoreElements()){
    this.add((ASTComment)enum.nextElement());
   }
  }

  public void add(ASTComment c){
   comments.add(c);
  }

  public Vector getComments() {
    return comments;
  }

  public String toString(){
    Enumeration enum = comments.elements();
    ASTComment c;
    String res = "";
    while(enum.hasMoreElements()){
      c = (ASTComment) enum.nextElement();
      res +=c.toString();
    }
    return res;
  }

}