package coco.parser.ast;

/**
 * berschrift:   PECOS Composition Environment
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:  FZI
 * @author
 * @version 1.0
 */

public class ASTInterfaceIdentifier extends ASTIdentifier {

  public ASTInterfaceIdentifier(String val) {
    super(val);
  }

  public Object accept(AbstractASTVisitor v, Object data) {
    if(v.preVisit()){
      v.visitPre(this);
    }

    if(v.postVisit()){
      v.visitPost(this);
    }
    return null;
  }

}