package coco.parser.ast;

import coco.parser.symtab.SymtabDuplicateEntryException;
/**
 * berschrift:   PECOS Composition Environment
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:  FZI
 * @author T. Genssler, A. Christoph
 * @version 1.0
 */

public interface ASTPropertyContainer extends Node{
  public ASTIdentifier getContainerID();
  public void addProperty(ASTProperty p) throws SymtabDuplicateEntryException;
  public void removeProperty(ASTProperty p);
  public ASTPropertyList getPropertyList();
}