package coco.parser.ast;

/**
 * berschrift:   PECOS Composition Environment
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:  FZI
 * @author T. Genssler, A. Christoph
 * @version 1.0
 */

public class ASTRoot extends GenericNode{

  static private ASTRoot instance = null;

  // todo:implement root handling


  private ASTRoot() {
  }

  static public ASTRoot getInstance(){
   if(instance == null)
    instance = new ASTRoot();
   return instance;
  }

  public void add(ASTComponentType c){

  }


  public void add(ASTConnector c){
  }

  public void add(ASTDataType p){

  }

  public Object accept(AbstractASTVisitor v, Object data) {
    if(v.preVisit()){
      v.visitPre(this);
    }
    // visit subnodes
    // no subnodes right now,
    if(v.postVisit()){
      v.visitPost(this);
    }
    return null;
  }

}