package coco.parser.ast;

/**
 * berschrift:
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:
 * @author
 * @version 1.0
 */

public class ASTStringLiteral extends GenericNode implements ASTLiteral{


  private String value = null;


  public ASTStringLiteral(String val) {
    setValue(val);
  }


  public String getValue(){
    return value;
  }

  public void setValue(String val){
    value = new String(val);
  }

  public String toString(){
    return value;
  }

  public String toPrologString(){

    return value.replace('\"', '\'');
  }

  public Object accept(AbstractASTVisitor v, Object data) {
    if(v.preVisit()){
      v.visitPre(this);
    }

    if(v.postVisit()){
      v.visitPost(this);
    }
    return null;
  }

}
