package coco.parser.ast.enums;

import java.util.*;
import coco.parser.ast.GenericContainerNode;
import coco.parser.ast.ASTIdentifier;
import coco.utils.*;

/**
 * berschrift:
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:
 * @author
 * @version 1.0
 */

public class IdentifierEnumeration implements Enumeration{
  private Enumeration enum;

  public IdentifierEnumeration(Vector v) {
    Assert.require(v);
    enum = v.elements();
  }

  public boolean hasMoreElements(){
    return enum.hasMoreElements();
  }

  public Object nextElement() throws NoSuchElementException{
    // throws a type cast exception, if retval is not a identifier
    ASTIdentifier id = (ASTIdentifier)enum.nextElement();
    return id;
  }
}