package coco.parser.ast.enums;
import java.util.*;
import coco.parser.ast.GenericContainerNode;
import coco.parser.ast.ASTPortTypeReference;
import coco.utils.*;

/**
 * berschrift:
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:
 * @author
 * @version 1.0
 */

public class PortTypeReferenceEnumeration implements Enumeration{
  private Enumeration enum;

  public PortTypeReferenceEnumeration(Vector v) {
    Assert.require(v);
    enum = v.elements();
  }

  public boolean hasMoreElements(){
    return enum.hasMoreElements();
  }

  public Object nextElement() throws NoSuchElementException{
    // throws a type cast exception, if retval is not a packet type identifier
    ASTPortTypeReference id = (ASTPortTypeReference)enum.nextElement();
    return id;
  }
}
