/**
 * berschrift:
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:
 * @author A.Christoph (FZI)
 * @version 1.0
 */

package coco.tools;

import coco.project.*;

/**
 * This class is a base class for other tools.
 */
public class CoCoToolAdapter implements CoCoTool {

    /** 
     * Retrieves the menu entry in the tools menu of the application.
     */
    public String getMenuText() {return("GenericTool");}

    /**
     * Retrieves the description used for help purposes.
     */
    public String getDescription() {return("Generic - no function");}

    /**
     * Retrieves a version string for this tool.
     */
    public String getVersion() {return("0.0");}

    /**
     * Starts the operation of this tool. 
     * @param project the current project to operate on.
     */
    public void execute(CoCoProject project) {}
}
