package coco.tools;
import coco.project.*;
import coco.filehandling.*;

import java.util.*;

public class Tool2 extends CoCoToolAdapter {

    /** 
     * Retrieves the menu entry in the tools menu of the application.
     */
    public String getMenuText() {return("Tool2");}

    /**
     * Retrieves the description used for help purposes.
     */
    public String getDescription() {return("TestTool2");}

    /**
     * Retrieves a version string for this tool.
     */
    public String getVersion() {return("0.1");}

    /**
     * Starts the operation of this tool. 
     * @param project the current project to operate on.
     */
    public void execute(CoCoProject project) {
	System.out.println("Tool2");
	System.out.println("Project-Name: " + project.getProjectName());

	Enumeration files = project.getCoCoFiles();
	while(files.hasMoreElements()) {
	    CoCoFile f = (CoCoFile)files.nextElement();
	    System.out.println(f.getFilename());
	    System.out.println();
	    System.out.println(f.getActualText());
	    System.out.println();
	}
    }





}
