package coco.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

import coco.config.GlobalConfig;
/**
 * berschrift:
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:
 * @author
 * @version 1.0
 */

public class CoCoFrame_Infodialog extends JDialog implements ActionListener {

  JPanel panel1 = new JPanel();
  JPanel panel2 = new JPanel();
  JPanel insetsPanel1 = new JPanel();
  JPanel insetsPanel2 = new JPanel();
  JPanel insetsPanel3 = new JPanel();
  JButton button1 = new JButton();
  JLabel imageLabel = new JLabel();
  JLabel label1 = new JLabel();
  JLabel label2 = new JLabel();
  JLabel label3 = new JLabel();
  JLabel label4 = new JLabel();
  BorderLayout borderLayout1 = new BorderLayout();
  BorderLayout borderLayout2 = new BorderLayout();
  GridLayout gridLayout1 = new GridLayout();
  String product = "";
  String version = "1.0";
  String copyright = "Copyright (c) 2001";
  String comments = "";
  JLabel jLabel1 = new JLabel();
  JButton jButtonGPL = new JButton();
  GridLayout gridLayout2 = new GridLayout();
  JLabel imageLabel2 = new JLabel();
  public CoCoFrame_Infodialog(Frame parent) {
    super(parent);
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    pack();
  }
  /**Initialisierung der Komponenten*/
  private void jbInit() throws Exception  {
    //imageLabel.setIcon(new ImageIcon(CoCoFrame_Infodialog.class.getResource("[Ihre Grafik]")));
    this.setTitle("Info");
    setResizable(false);
    panel1.setLayout(borderLayout1);
    panel2.setLayout(borderLayout2);
    insetsPanel2.setLayout(gridLayout2);
    insetsPanel2.setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
    gridLayout1.setRows(6);
    gridLayout1.setColumns(2);
    label1.setToolTipText("");
    label1.setText("Pecos Composition Environment");
    label2.setToolTipText("");
    label2.setText("0.3b (FZI)");
    label3.setText("Copyrighted under the GPL (2001)");
    label4.setText(comments);
    insetsPanel3.setLayout(gridLayout1);
    insetsPanel3.setBorder(BorderFactory.createEmptyBorder(10, 60, 10, 10));
    button1.setText("OK");
    button1.addActionListener(this);
    jLabel1.setToolTipText("");
    jLabel1.setText("A recent copy of the GPL can be obtained at:");
    imageLabel.setIcon(new ImageIcon(CoCoFrame_Infodialog.class.getResource("fzi.gif")));
    jButtonGPL.setForeground(Color.blue);
    jButtonGPL.setBorder(null);
    jButtonGPL.setActionCommand("http://www.gnu.org/copyleft/gpl.html");
    jButtonGPL.setBorderPainted(false);
    jButtonGPL.setHorizontalAlignment(SwingConstants.LEFT);
    jButtonGPL.setHorizontalTextPosition(SwingConstants.LEFT);
    jButtonGPL.setText("http://www.gnu.org/copyleft/gpl.html");
    jButtonGPL.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButtonGPL_actionPerformed(e);
      }
    });
    gridLayout2.setRows(2);
    imageLabel2.setMaximumSize(new Dimension(75, 65));
    imageLabel2.setMinimumSize(new Dimension(75, 65));
    imageLabel2.setPreferredSize(new Dimension(75, 65));
    imageLabel2.setIcon(new ImageIcon(CoCoFrame_Infodialog.class.getResource("pecos-klein.gif")));
    insetsPanel2.add(imageLabel, null);
    insetsPanel2.add(imageLabel2, null);
    panel2.add(insetsPanel2, BorderLayout.WEST);
    this.getContentPane().add(panel1, null);
    insetsPanel3.add(label1, null);
    insetsPanel3.add(label2, null);
    insetsPanel3.add(label4, null);
    insetsPanel3.add(label3, null);
    insetsPanel3.add(jLabel1, null);
    insetsPanel3.add(jButtonGPL, null);
    panel2.add(insetsPanel3, BorderLayout.CENTER);
    insetsPanel1.add(button1, null);
    panel1.add(insetsPanel1, BorderLayout.SOUTH);
    panel1.add(panel2, BorderLayout.NORTH);
  }
  /**berschrieben, so dass eine Beendigung beim Schlieen des Fensters mglich ist.*/
  protected void processWindowEvent(WindowEvent e) {
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      cancel();
    }
    super.processWindowEvent(e);
  }
  /**Dialog schlieen*/
  void cancel() {
    dispose();
  }
  /**Dialog bei Schalter-Ereignis schlieen*/
  public void actionPerformed(ActionEvent e) {
    if (e.getSource() == button1) {
      cancel();
    }
  }

  void jButtonGPL_actionPerformed(ActionEvent e) {
    String URL = e.getActionCommand();
    String browserProg = GlobalConfig.getInstance().getProperty(GlobalConfig.OPTION_BROWSER_PROG);
    if((browserProg == null)||(browserProg.length() == 0 )){
      System.out.println("No browser program configured, go to File/Options...");
      return;
    }

    System.out.println(URL);
    try{
      Runtime.getRuntime().exec(browserProg + " " + URL);
    }catch(Exception ex){
      ex.printStackTrace();
    }
  }
}
