package coco.model.nodes;
import javax.swing.ImageIcon;
import coco.model.commandsets.*;

/**
 * Title:        PECOS Composition Environment 2
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      FZI
 * @author
 * @version 1.0
 */

public class AbstractComponentListTreeNode extends CoCoTreeNode {
  ImageIcon icon = null;
  public AbstractComponentListTreeNode() {
  }

   public AbstractComponentListTreeNode(java.lang.String name) {
   super(name);
  if(icon == null)
      icon = new ImageIcon(ErrorTreeNode.class.getResource("AbstractComponentList.gif"));
   }

  public CommandSet getCommandSet() {
    return new AbstractComponentListCommandSet();
  }
 /**
   * Returns the icon which is to be shown for the respective node type.
   * @return the icon ressource. when null, the standard icon, according to the current L&F will be shown
   */
  public ImageIcon getIcon(){
    return icon;
  }
}