package coco.model.nodes;

import coco.model.commandsets.*;
import javax.swing.ImageIcon;

/**
 * Title:        PECOS Composition Environment 2
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      FZI
 * @author:      M. Winter
 * @version 1.0
 */

public class ComponentListTreeNode extends CoCoTreeNode {
 static ImageIcon icon = null;
  public ComponentListTreeNode() {
  }

  public ComponentListTreeNode(java.lang.String name) {
  super(name);
  if(icon == null)
      icon = new ImageIcon(ErrorTreeNode.class.getResource("ComponentList.gif"));
  }

  public CommandSet getCommandSet() {
    return new ComponentListCommandSet();
  }
 /**
   * Returns the icon which is to be shown for the respective node type.
   * @return the icon ressource. when null, the standard icon, according to the current L&F will be shown
   */
  public ImageIcon getIcon(){
    return icon;
  }
}