package coco.model.nodes;
import javax.swing.ImageIcon;
import coco.model.commandsets.*;

/**
 * Title:        PECOS Composition Environment 2
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      FZI
 * @author
 * @version 1.0
 */

public class DatatypeListTreeNode extends CoCoTreeNode {
static ImageIcon icon = null;
  public DatatypeListTreeNode() {
  }

  public DatatypeListTreeNode(java.lang.String name) {
  super(name);
  if(icon == null)
      icon = new ImageIcon(ErrorTreeNode.class.getResource("DatatypeList.gif"));
  }

  public CommandSet getCommandSet() {
    return new DatatypeListCommandSet();
  }
 /**
   * Returns the icon which is to be shown for the respective node type.
   * @return the icon ressource. when null, the standard icon, according to the current L&F will be shown
   */
  public ImageIcon getIcon(){
    return icon;
  }
}