package coco.parser.ast;
import coco.utils.*;
/**
 * berschrift:   PECOS Composition Environment 2
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:  FZI
 * @author
 * @version 1.0
 */

public class ASTPropertySetReference extends ASTIdentifier {
  public Object accept(AbstractASTVisitor v, Object data) {
    if(v.preVisit()){
      v.visitPre(this);
    }

    if(v.postVisit()){
      v.visitPost(this);
    }
    return null;
  }

  public ASTPropertySetReference(String val) {
    super(val);
  }

}