package coco.parser.ast;

/**
 * berschrift:
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:
 * @author
 * @version 1.0
 */

public interface Node {
  public void openNode();
  public void closeNode();

  public void setParent(Node n);
  public Node getParent();

  public int getNumChildren();

  public Node getChild(int i);

  //public Object accept(AbstractModelVisitor v, Object data);
  public Object accept(AbstractASTVisitor v, Object data);

  /**
   * Returns the start line for the respective node in the source file
   */
  public int getStartLine();
  /**
   * Returns the end line for the respective node in the source file
   */
  public int getEndLine();

//  public static GenericNode parse(String text) throws coco.parser.ParseException;

  public String toPrologString();

}