package coco.parser.ast.enums;
import java.util.*;
import coco.parser.ast.ASTConnector;
import coco.utils.*;


/**
 * berschrift:   PECOS Composition Environment
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:  FZI
 * @author T. Genssler, A. Christoph
 * @version 1.0
 */

public class ConnectorEnumeration implements Enumeration{
  private Enumeration enum;

  public ConnectorEnumeration(Vector v) {
    Assert.require(v);
    enum = v.elements();
  }

  public boolean hasMoreElements(){
    return enum.hasMoreElements();
  }

  public Object nextElement() throws NoSuchElementException{
    // throws a type cast exception, if retval is not a connector
    ASTConnector c = (ASTConnector)enum.nextElement();
    return c;
  }
}
