package coco.parser.ast.enums;
import java.util.*;
import coco.parser.ast.GenericContainerNode;
import coco.parser.ast.ASTMapping;
import coco.utils.*;

/**
 * berschrift:   PECOS Composition Environment
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:  FZI
 * @author
 * @version 1.0
 */

public class MappingEnumeration implements Enumeration{
  private Enumeration enum;

  public MappingEnumeration(Vector v) {
    Assert.require(v);
    enum = v.elements();
  }
  public boolean hasMoreElements(){
    return enum.hasMoreElements();
  }

  public Object nextElement() throws NoSuchElementException{
    // throws a type cast exception, if retval is not a mapping
    ASTMapping p = (ASTMapping)enum.nextElement();
    return p;
  }
}