package coco.parser.symtab;

import coco.parser.ast.ASTIdentifier;

/**
 *
 * berschrift:   PECOS Composition Environment
 * Beschreibung:
 * Copyright:     Copyright (c) 2001
 * Organisation:  FZI
 * @author T. Genssler, A. Christoph
 * @version 1.0
 */

public class SymtabDuplicateEntryException extends Exception {

 String id = null;

  public SymtabDuplicateEntryException(coco.parser.ast.ASTIdentifier id) {
    super("Duplicate symtab entry: " + id.toString());
    this.id = id.getID();
   }

  public SymtabDuplicateEntryException(String str) {
    super("Duplicate symtab entry: " + str);
    this.id = str;
  }

  public String getID() {
  return id;
  }

}