package coco.utils;
/*
  Class: utils.Assert
  Autor: T. Genssler (FZI)
  Created: 17/03/99
  Purpose: Assertion handling
*/

/** @autor Thomas Genssler */
/** @autor Thomas Genssler */
/** @version 0.1, 17/03/99 */
public class Assert {

private static java.io.PrintStream logPrinter = null;

public static void logFailures(java.io.PrintStream log){
  logPrinter = log;

  if(logPrinter == null){
    System.out.println("Failed to register log facility");
  }
}

private static void fail()
{
 Throwable e = new Throwable();
 java.util.Date d = new java.util.Date();

 if(logPrinter != null){

  logPrinter.println("Assertion failed on " + d.toString());
  e.printStackTrace(logPrinter);
 }
 System.err.println("Assertion failed on " + d.toString());
 e.printStackTrace();
// System.exit(1);
}

public static void require(boolean b)
{
 if (!b)
    fail();
}

public static void require(long lng)
{
 if (lng == 0L)
    fail();
}
public static void require(double dbl)
{
 if (dbl == 0.0)
    fail();
}
public static void require(Object ref)
{
 if (ref == null)
    fail();
}



}
